Question: Bowtie 2: bowtie build does not create .rev index files
0
gravatar for dzisis1986
2.2 years ago by
dzisis198620
dzisis198620 wrote:

I am trying to run bowtie-build in Bowtie2 in order to create the index files for mapping and everytime i am running my script there is a warning

Warning: Encountered reference sequence with only gaps

Furthermore when check the index files i have only *1.bt2 *2.bt2 *3.bt2 *4.bt2 files but not the .rev files and without this its not possible to use bowtie align . Here is my script for bowtie-build :

./bowtie2-build --offrate 1 AGPv4.fa  AGPv4

Any way to solve this problem ??

index error build bowtie2 • 2.0k views
ADD COMMENTlink modified 2.2 years ago • written 2.2 years ago by dzisis198620
1

The error suggests that you have a contig with only N. Perhaps that's related to the problem.

ADD REPLYlink written 2.2 years ago by Devon Ryan89k

I agree with Devon. It is possible that you have one (or more) contigs with only N.

ADD REPLYlink written 2.2 years ago by Fabio Marroni2.1k

I use as reference genome the masked version of zea mays Zea_mays.AGPv4.dna_rm.toplevel.fa . What do you suggest me to do ?

ADD REPLYlink written 2.2 years ago by dzisis198620
2

Never use a hard-masked fasta file. Here is an appropriate fasta file.

ADD REPLYlink modified 2.2 years ago • written 2.2 years ago by Devon Ryan89k

Thank you i will try to use this version and see the result !

ADD REPLYlink written 2.2 years ago by dzisis198620

Well, i tried to use the correct version of fasta reference as you proposed. There is no error in bowtie-build but still there are only *1.bt2 *2.bt2 *3.bt2 *4.bt2 files and again no .rev files !!!! what can be done ??

ADD REPLYlink written 2.2 years ago by dzisis198620

bowtie2-build Zea_mays.AGPv4.dna.toplevel.fa AGPv4 works for me.

ADD REPLYlink written 2.2 years ago by Devon Ryan89k

Try to find out if there are contigs fully composed of Ns, and if so, just remove them, since they are useless. Also, if this is the case, you might notify to the curators of the genome!

ADD REPLYlink modified 2.2 years ago • written 2.2 years ago by Fabio Marroni2.1k

which version of bowtie2 you have?

ADD REPLYlink written 2.2 years ago by Medhat8.2k

bowtie2 2.2.4 and i cant update because i am working in a cluster

ADD REPLYlink written 2.2 years ago by dzisis198620

You never need to be root to update software, just download the binary and use it rather than what's provided on the cluster.

ADD REPLYlink written 2.2 years ago by Devon Ryan89k
0
gravatar for dzisis1986
2.2 years ago by
dzisis198620
dzisis198620 wrote:

Well, i tried to use the correct version of fasta reference as you proposed. There is no error in bowtie-build but still there are only *1.bt2 *2.bt2 *3.bt2 *4.bt2 files and again no .rev files !!!! Any idea what can be done ??

ADD COMMENTlink written 2.2 years ago by dzisis198620
Please log in to add an answer.

Help
Access

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.
Powered by Biostar version 2.3.0
Traffic: 666 users visited in the last hour